Scribus > Installation and Setup

Latest Version of Scribus

(1/2) > >>

CarolynPMeyer:
I am using Scribus version 1.4.8. Is the latest 1.5 version stable and ready for use? Thank you.

Nermander:
Formally the odd number versions are unstable, but I think the latest 1.5 version is so stable that most people use it despite it being labeled "unstable"

CarolynPMeyer:
Thank you, Nermander.

CarolynPMeyer:
Do I have to delete Scribus 1.4.8 before downloading the latest 1.5 version?

utnik:
hi carolyn

you can keep 1.4.8 as a 'fall back solution'. i have always different scribus versions on my computer. (sometimes 1.4.8 and 1.5.6 are running at the same timeā€¦)
as scribus 1.4.8 can't open files edited by 1.5.x, you should keep an unchanged 1.4.8 copy of your old scribus projects.

utnik

Navigation

[0] Message Index

[#] Next page

Go to full version